Name:           perl-AWS-Signature4
Version:        1.02
Release:        2%{?dist}
Summary:        Create a version4 signature for Amazon Web Services
Group:          Development/Libraries

License:        GPL+ or Artistic 2.0
URL:            http://search.cpan.org/dist/AWS-Signature4/
Source0:        http://search.cpan.org/CPAN/authors/id/L/LD/LDS/AWS-Signature4-%{version}.tar.gz

BuildArch:      noarch

%if 0%{?rhel}
BuildRequires:  perl
%else
BuildRequires:  perl-interpreter
%endif

BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::Install)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(URI)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(HTTP::Request::Common)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module implement's Amazon Web Service's Signature version 4
(http://docs.aws.amazon.com/general/latest/gr/signature-version-4.html).


%prep
%setup -q -n AWS-Signature4-%{version}


%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test


%files
%license LICENSE
%doc Changes README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Sat Jul 29 2017 Dominic Hopf <dmaphy@fedoraproject.org> - 1.02-2
- initial package 
- fix duplicate BuildRequires issue
- fix macro-in-comment issue
